Bug 234017 - yum install kernel results in /sbin/new-kernel-pkg: line 90: 5859 Segmentation fault
yum install kernel results in /sbin/new-kernel-pkg: line 90: 5859 Segmentati...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 13:11 EDT by Brad Smith
Modified: 2008-05-06 15:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2007-03-26 13:11:10 EDT
Description of problem:

When I use yum to update the kernel to the latest version I get the following
result:
Running Transaction
  Installing: kernel-devel                 ######################### [1/2] 
  Installing: kernel                       ######################### [2/2] 
/sbin/new-kernel-pkg: line 90:  5859 Segmentation fault      $grubby
--add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default
$makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"}
${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs"
--remove-kernel="TITLE=$title"

Installed: kernel.x86_64 0:2.6.20-1.2933.fc6 kernel-devel.x86_64 0:2.6.20-1.2933.fc6
Complete!

The result is that grub does not know about the new kernel and therefore the
system will not boot to the new kernel.  menu.1st in grub only contains the 
the configuration for the prior kernel.



Version-Release number of selected component (if applicable):
mkinitrd-5.1.19.0.3-1

How reproducible:
I have tried to install the new kernel 4 times with yum. I used rpm -e after
each attempt to remove the kernel.

Steps to Reproduce:
1. run yum update
2. check result
3.
  
Actual results:
Grub cannot boot to new kernel

Expected results:
Grub can boot to the new kernel


Additional info:
Comment 1 Bug Zapper 2008-04-04 02:41:04 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:25:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.